Did I find the right examples for you? yes no      Crawl my project      Python Jobs

All Samples(5)  |  Call(0)  |  Derive(0)  |  Import(5)
Signal an error condition -- in a GUI, popup a error dialog

        def error_msg_wx(msg, parent=None):
    """
    Signal an error condition -- in a GUI, popup a error dialog
    """
    dialog =wx.MessageDialog(parent  = parent,
                             message = msg,
                             caption = 'Matplotlib backend_wx error',
                             style=wx.OK | wx.CENTRE)
    dialog.ShowModal()
    dialog.Destroy()
    return None
        


src/n/u/nupic-HEAD/external/linux32/lib/python2.6/site-packages/matplotlib/backends/backend_wxagg.py   nupic(Download)
from backend_agg import FigureCanvasAgg
import backend_wx
from backend_wx import FigureManager, FigureManagerWx, FigureCanvasWx, \
    FigureFrameWx, DEBUG_MSG, NavigationToolbar2Wx, error_msg_wx, \
    draw_if_interactive, show, Toolbar, backend_version

src/n/u/nupic-linux64-HEAD/lib64/python2.6/site-packages/matplotlib/backends/backend_wxagg.py   nupic-linux64(Download)
from backend_agg import FigureCanvasAgg
import backend_wx    # already uses wxversion.ensureMinimal('2.8')
from backend_wx import FigureManager, FigureManagerWx, FigureCanvasWx, \
    FigureFrameWx, DEBUG_MSG, NavigationToolbar2Wx, error_msg_wx, \
    draw_if_interactive, show, Toolbar, backend_version

src/m/a/matplotlib-1.3.1/lib/matplotlib/backends/backend_wxagg.py   matplotlib(Download)
from backend_agg import FigureCanvasAgg
import backend_wx    # already uses wxversion.ensureMinimal('2.8')
from backend_wx import FigureManager, FigureManagerWx, FigureCanvasWx, \
    FigureFrameWx, DEBUG_MSG, NavigationToolbar2Wx, error_msg_wx, \
    draw_if_interactive, show, Toolbar, backend_version

src/m/a/matplotlib-HEAD/lib/matplotlib/backends/backend_wxagg.py   matplotlib(Download)
from backend_agg import FigureCanvasAgg
import backend_wx    # already uses wxversion.ensureMinimal('2.8')
from backend_wx import FigureManager, FigureManagerWx, FigureCanvasWx, \
    FigureFrameWx, DEBUG_MSG, NavigationToolbar2Wx, error_msg_wx, \
    draw_if_interactive, show, Toolbar, backend_version

src/m/a/matplotlib-ancient-HEAD/lib/matplotlib/backends/backend_wxagg.py   matplotlib-ancient(Download)
from backend_agg import FigureCanvasAgg
import backend_wx    # already uses wxversion.ensureMinimal('2.8')
from backend_wx import FigureManager, FigureManagerWx, FigureCanvasWx, \
    FigureFrameWx, DEBUG_MSG, NavigationToolbar2Wx, error_msg_wx, \
    draw_if_interactive, show, Toolbar, backend_version